#include "KAButton.h"


KAButton::KAButton(QWidget *parent)
    : QPushButton(parent)
{
    m_strText = "";
}

KAButton::KAButton(QString strText, QWidget *parent)
    : QPushButton(strText, parent)
{
    m_strText = strText;
}

void KAButton::setText(const QString &strText)
{
    m_strText = strText;
    QPushButton::setText(strText);
}

void KAButton::paintEvent(QPaintEvent *event)
{
    QString strEText = getElidedText(font(),  width() - 28,m_strText);
    if (strEText != m_strText) {
        QPushButton::setText(strEText);
        setToolTip(m_strText);
    } else {
        QPushButton::setText(m_strText);
        setToolTip("");
    }
    QPushButton::paintEvent(event);
}

QString KAButton::getElidedText(QFont font,int width,QString strInfo)
{
    QFontMetrics fontMetrics(font);
    //如果当前字体下，字符串长度大于指定宽度
    if(fontMetrics.width(strInfo) > width)
    {
        strInfo= QFontMetrics(font).elidedText(strInfo, Qt::ElideRight, width);
    }
    return strInfo;
}
