#ifndef ATTRIBUTEWINDOW_H
#define ATTRIBUTEWINDOW_H
#include <QDialog>
#include <QPainter>
#include <QPainterPath>
#include <QListWidget>
#include <QDebug>
#include <QPushButton>
#include <QFileSystemWatcher>
#include <QMovie>
#include <QDBusInterface>
#include <QDBusArgument>
#include <QDBusReply>
#include <QMessageBox>
#include <QCoreApplication>

#include "attributewindow.h"
#include "mainwindow.h"

namespace Ui {
class AttributeWindow;
}

class AttributeWindow : public QDialog
{
    Q_OBJECT

public:
    explicit AttributeWindow(DeviceInfo *deviceinfo, QWidget *parent = nullptr);

    ~AttributeWindow();


protected:
    void paintEvent(QPaintEvent * event);



private:
    Ui::AttributeWindow *ui;

    void setupInit();

    QString transferBioType(int type);
    QString transferVerifyType(int type);
    QString transferStorageType(int type);
    QString transferBusType(int type);
    QString transferIdentifyType(int type);

    DeviceInfo* deviceInfo;
//    SwitchButton  *defaultDeviceBtn;
    QFileSystemWatcher  *mWatcher;

private slots:

};
#endif // ATTRIBUTEWINDOW_H



